<div class="oj-flex">
  <oj-toolbar id="oj-toolbar-for-oj-table-1796048265-1" chroming="full" class="oj-flex-item oj-sm-12 oj-md-12">
    <oj-button on-oj-action="[[$page.listeners.createCompartmentBOButtonClicked]]">Create</oj-button>
    <oj-button disabled="[[ $page.variables.oj_table_1796048265_1SelectedId === '' ]]" on-oj-action="[[$page.listeners.editCompartmentBOButtonClicked]]">Edit</oj-button>
    <oj-button disabled="[[ $page.variables.oj_table_1796048265_1SelectedId === '' ]]" on-oj-action="[[$page.listeners.compartmentBODetailButtonClicked]]">Detail</oj-button>
    <oj-button disabled="[[ $page.variables.oj_table_1796048265_1SelectedId === '' ]]" on-oj-action="[[$page.listeners.deleteCompartmentBOButtonClicked]]">Delete</oj-button>
  </oj-toolbar>
</div>
<div class="oj-flex">
  <oj-table scroll-policy="loadMoreOnScroll" class="oj-flex-item oj-sm-12 oj-md-12" data="[[$page.variables.compartmentBOListSDP]]" columns='[{"headerText":"Id","field":"id"},{"headerText":"Compartment Name","field":"compartmentName"},{"headerText":"Description","field":"description"},{"headerText":"Tenancy","field":"tenancyNameDesc"},{"headerText":"Created By","field":"createdBy"},{"headerText":"Created","field":"creationDate"},{"headerText":"Last Updated By","field":"lastUpdatedBy"},{"headerText":"Last Updated","field":"lastUpdateDate"}]' id="oj-table-1796048265-1" selection-mode.row="single" selection-mode.column="single" on-first-selected-row-changed="[[ $page.listeners.oj_table_1796048265_1SelectionChanged ]]"></oj-table>
</div>
